## kmix 25.07.90

=== debian/changelog ===
kmix (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:51:23 +0100

## kmix 25.08.0

=== debian/changelog ===
kmix (4:25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:45:19 +0000

kmix (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:58:51 +0000

kmix (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:32:35 +0000

kmix (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:32:31 +0000

kmix (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:21:59 +0000

kmix (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:30:34 +0000

kmix (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:52:35 +0000

kmix (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:36:31 +0000

kmix (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:28:12 +0000

kmix (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:24:22 +0000

kmix (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:32:45 +0000

kmix (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:10:26 +0000

kmix (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:41:33 +0000

kmix (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:39:39 +0000

kmix (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:18:04 +0000

kmix (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:37:23 +0000

kmix (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:28:28 +0000

kmix (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:20:14 +0000

kmix (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:59:44 +0000

kmix (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:02:32 +0000

kmix (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:34:45 +0000

kmix (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:15:33 +0000

kmix (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:04:36 +0000

kmix (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:37:27 +0000

kmix (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:26:07 +0000

kmix (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:02:41 +0000

kmix (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:37:23 +0000

kmix (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:44:21 +0000

kmix (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:06:14 +0000

kmix (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:27:46 +0000

kmix (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:07:17 +0000

kmix (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:56:14 +0000

kmix (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:17:09 +0000

kmix (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:11:45 +0000

kmix (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:28:03 +0000

kmix (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:07:39 +0000

kmix (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:59:16 +0000

kmix (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:43:53 +0000

kmix (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:38:01 +0000

kmix (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:49 +0000

kmix (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:22 +0000

kmix (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:56:28 +0000

kmix (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:26:07 +0000

kmix (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:59 +0000

kmix (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:24:33 +0000

kmix (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:02:29 +0000

kmix (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:29 +0000

kmix (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.28:27 +0000



## kmix 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
project(kmix VERSION ${KMIX_VERSION})

####################################################################################################
########### options ################################################################################
####################################################################################################

# Plasma dataengines are deprecated, needs at least porting to Plasma5Support as an intermediate
# step, or should be removed
#option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)

# For testing OSS4 build on Linux with 4Front OSS4 installed
#
# The OSS4_INCLUDES variable must point to the prototype/usr/lib/oss/include
# directory in a built (but does not have to be installed) OSS4 source tree.
set(OSS4_INCLUDES "" CACHE PATH "Include path for OSS4 include files")

####################################################################################################
########### dependencies and tests #################################################################
####################################################################################################

set(QT_MIN_VERSION "6.3.0")
set(KF_MIN_VERSION "6.1.0")

# SOVERSION of the kmixcore library
set(KMIX_VERSION_MAJOR 6)
# Version of the configuration, originally from core/version.h
set(KMIX_CONFIG_VERSION 3)

set(PA_MIN_VERSION "0.9.16")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CheckIncludeFile)
include(CheckSourceRuns)
include(CheckStructHasMember)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    DBus
    Gui
    Widgets
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    Crash
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GlobalAccel
    I18n
    Notifications
    Solid
    StatusNotifierItem
    WidgetsAddons
    WindowSystem
    XmlGui
)


# Needs at least porting to Plasma5Support as an intermediate step, or should be removed
#if (BUILD_DATAENGINE)
#  find_package(Plasma5Support 6.0 REQUIRED)
#  set_package_properties(Plasma5Support PROPERTIES PURPOSE "Required to build the Plasma dataengine")
#endif ()


####################################################################################################
########### sound backend support ##################################################################
####################################################################################################

# sndio, only for that platform
check_include_file("sndio.h" HAVE_SYS_SNDIO_H)
if (HAVE_SYS_SNDIO_H)
  message(STATUS "Building with sndio support")
  set(HAVE_SNDIO_MIXER true)
  add_definitions(-DHAVE_SNDIO_MIXER)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "Sndio")
endif ()

# Sun Audio, only for that platform
check_include_file("sys/audioio.h" HAVE_SYS_AUDIOIO_H)
if (HAVE_SYS_AUDIOIO_H)
  message(STATUS "Building with Sun audio support")
  set(HAVE_SUN_MIXER true)
  add_definitions(-DHAVE_SUN_MIXER)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "Sun")
endif ()

# OSS, Linux or BSD
if (NOT (OSS4_INCLUDES STREQUAL ""))
  set(CMAKE_REQUIRED_INCLUDES ${OSS4_INCLUDES})
  set(TEST_COMPILE_FLAGS "-I${OSS4_INCLUDES}")
  message(STATUS "OSS4 includes: ${OSS4_INCLUDES}")
endif ()

check_include_file("soundcard.h" HAVE_SOUNDCARD_H)
check_include_file("sys/soundcard.h" HAVE_SYS_SOUNDCARD_H)
if ((HAVE_SOUNDCARD_H OR HAVE_SYS_SOUNDCARD_H) AND NOT HAVE_SYS_SNDIO_H)
  add_definitions(-DHAVE_OSS_MIXER)
  set(HAVE_OSS_MIXER true)
  if (HAVE_SOUNDCARD_H)
    set(TEST_COMPILE_FLAGS "${TEST_COMPILE_FLAGS} -DHAVE_SOUNDCARD_H")
    add_definitions(-DHAVE_SOUNDCARD_H)
  endif ()
  if (HAVE_SYS_SOUNDCARD_H)
    set(TEST_COMPILE_FLAGS "${TEST_COMPILE_FLAGS} -DHAVE_SYS_SOUNDCARD_H")
    add_definitions(-DHAVE_SYS_SOUNDCARD_H)
  endif ()

  # Comparing with preprocessor is hopefully more reliable than trying to
  # grep through header files to find a definition.  Unlike try_run(),
  # causes no problem for cross-compilation.
  try_compile(OSS3_COMPILE_RESULT
          ${CMAKE_CURRENT_BINARY_DIR}
          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ossversion3.c
          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}")
  try_compile(OSS4_COMPILE_RESULT
          ${CMAKE_CURRENT_BINARY_DIR}
          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ossversion4.c
          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}")
  #message(STATUS "OSS3_COMPILE_RESULT= ${OSS3_COMPILE_RESULT}")
  #message(STATUS "OSS4_COMPILE_RESULT= ${OSS4_COMPILE_RESULT}")

  if (${OSS4_COMPILE_RESULT})
      message(STATUS "Building with OSS 4 support")
      set(HAVE_OSS_4 true)
      add_definitions(-DHAVE_OSS_4)
      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS4")

      # This is included in 4Front OSS 4 but not in standard BSD.
      # Not possible to test at compile time.  Both of those appear
      # to have sys/soundcard.h and not soundcard.h installed.
      check_struct_has_member(oss_mixerinfo devnode sys/soundcard.h HAVE_MIXERINFO_DEVNODE)
      if (HAVE_MIXERINFO_DEVNODE)
        add_definitions(-DHAVE_MIXERINFO_DEVNODE)
      endif ()
    elseif (${OSS3_COMPILE_RESULT})
      message(STATUS "Building with OSS 3 support")
      set(HAVE_OSS_3 true)
      add_definitions(-DHAVE_OSS_3)
      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
    else ()
      message(STATUS "Unable to get OSS version, assuming 3")
      set(HAVE_OSS_3 true)
      add_definitions(-DHAVE_OSS_3)
      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
    endif ()
endif ()

# PulseAudio, optional
find_package(PulseAudio "${PA_MIN_VERSION}")
set_package_properties(PulseAudio PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Pulse audio support"
)
if (PulseAudio_FOUND)
  message(STATUS "Building with PulseAudio support")
  set(HAVE_PULSEAUDIO true)
  add_definitions(-DHAVE_PULSEAUDIO)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "PulseAudio")
endif ()

# ALSA, optional
find_package(ALSA)
if (ALSA_FOUND)
  message(STATUS "Building with ALSA support")
  set(HAVE_ALSA_MIXER true)
  add_definitions(-DHAVE_ALSA_MIXER)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "ALSA")
endif ()

message(STATUS "Supported backends: ${SUPPORTED_BACKENDS}")

# Canberra, optional for volume feedback
find_package(Canberra)
if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)
endif ()

####################################################################################################
########### compile definitions ####################################################################
####################################################################################################

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

if (NOT (OSS4_INCLUDES STREQUAL ""))
  include_directories(BEFORE ${OSS4_INCLUDES})
endif ()

add_definitions(-DTRANSLATION_DOMAIN=\"kmix\")
add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})

remove_definitions("-DQT_NO_KEYWORDS")
remove_definitions("-DQT_NO_CAST_FROM_ASCII")
remove_definitions("-DQT_NO_CAST_FROM_BYTEARRAY")

####################################################################################################
########### subdirectories #########################################################################
####################################################################################################

add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(profiles)

if (BUILD_DATAENGINE)
  if (Plasma5Support_FOUND)
    add_subdirectory(plasma)
  endif ()
endif ()

####################################################################################################
########### definitions: logging ###################################################################
####################################################################################################

ecm_qt_declare_logging_category(kmix_debug_SRCS
                                HEADER kmix_debug.h
                                IDENTIFIER KMIX_LOG
                                EXPORT kmixlogging
                                DESCRIPTION "KMix sound mixer and volume control"
                                CATEGORY_NAME org.kde.kmix)

####################################################################################################
########### definitions: DBus adaptor ##############################################################
####################################################################################################

set(kmix_adaptor_SRCS
  dbus/dbusmixerwrapper.cpp
  dbus/dbusmixsetwrapper.cpp
  dbus/dbuscontrolwrapper.cpp
)

qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )

install(FILES dbus/org.kde.kmix.control.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixset.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

####################################################################################################
########### definitions: backends ##################################################################
####################################################################################################

set(kmix_backend_SRCS backends/mixerbackend.cpp backends/mixer_mpris2.cpp)

if (HAVE_ALSA_MIXER)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_alsa9.cpp)
endif ()

if (HAVE_PULSEAUDIO)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_pulse.cpp)
endif ()

if (HAVE_SNDIO_MIXER)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_sndio.cpp)
endif ()

if (HAVE_SUN_MIXER)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_sun.cpp)
endif ()

if (HAVE_OSS_3)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_oss.cpp)
endif ()

if (HAVE_OSS_4)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_oss4.cpp)
endif ()

####################################################################################################
########### target: kmixcore library ###############################################################
####################################################################################################

set(kmixcore_SRCS
  core/MediaController.cpp
  core/mixertoolbox.cpp
  core/kmixdevicemanager.cpp
  core/ControlManager.cpp
  core/MasterControl.cpp
  core/mixer.cpp
  core/mixset.cpp
  core/mixdevice.cpp
  core/mixdevicecomposite.cpp
  core/volume.cpp
)

kconfig_add_kcfg_files(kmixcore_SRCS core/settings.kcfgc)

add_library(kmixcore SHARED
  ${kmixcore_SRCS}
  ${kmix_adaptor_SRCS}
  ${kmix_backend_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixcore
  PUBLIC
    Qt::Core
    Qt::Widgets
  PRIVATE
    Qt::Xml
    Qt::DBus
    KF6::I18n
    KF6::Solid
  PUBLIC
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
)

set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})

=== pics/CMakeLists.txt ===




########### install files ###############

install(FILES
    mixer-pcm.png
    mixer-lfe.png
    mixer-cd.png
    mixer-line.png
    mixer-microphone.png
    mixer-midi.png
    mixer-capture.png
    mixer-pcm-default.png
    mixer-front.png
    mixer-master.png
    mixer-surround.png
    mixer-video.png
    mixer-headset.png
    mixer-digital.png
    mixer-ac97.png
    show-mixer.png
    settings-channels.png
    settings-master.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kmix/pics)

ecm_install_icons(ICONS
    16-actions-kmix.png
    32-actions-kmix.png
    48-actions-kmix.png
    64-actions-kmix.png
    128-actions-kmix.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== debian/changelog ===
kmix (4:25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:44:52 +0000

kmix (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:33:00 +0000

## kmix 25.08.1+p24.04+vstable+git20250922.0418

=== debian/changelog ===
kmix (4:25.08.1+p24.04+vstable+git20250922.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:18:45 +0000

## kmix 25.08.1+p24.04+vstable+git20251001.0449

=== debian/changelog ===
kmix (4:25.08.1+p24.04+vstable+git20251001.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:49:50 +0000

## kmix 25.08.1+p24.04+vunstable+git20251001.0449

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.08.1+p24.04+vunstable+git20251001.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:49:41 +0000

## kmix 25.08.2

=== tests/CMakeLists.txt ===
########### next target ###############
set(profiletest_SRCS profiletest.cpp )

add_executable(profiletest ${profiletest_SRCS})

target_link_libraries(profiletest
    kmixgui
    Qt::Core
    Qt::DBus
    Qt::Test
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Solid
)

add_test(NAME profiletest
    COMMAND profiletest
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

=== debian/changelog ===
kmix (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:49:09 +0100

kmix (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:55:11 +0100

kmix (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:25:53 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf6config-dev (>= 6.1.0~),
               libkf6configwidgets-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6doctools-dev (>= 6.1.0~),
               libkf6globalaccel-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkf6solid-dev (>= 6.1.0~),
               libkf6statusnotifieritem-dev (>= 6.1.0~),
               libkf6widgetsaddons-dev (>= 6.1.0~),
               libkf6windowsystem-dev (>= 6.1.0~),
               libkf6xmlgui-dev (>= 6.1.0~),
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qt6-base-dev (>= 6.3.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kmix
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: x-audio-mixer,
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 25.08.2+p24.04+vstable+git20251012.0451

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251012.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:51:26 +0000

kmix (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

## kmix 25.08.2+p24.04+vstable+git20251019.0309

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251019.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:09:16 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libpulse-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kmix.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmix
Maintainer: Neon CI <neon@kde.org>

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with kf6 --buildsystem kf6

## kmix 25.08.2+p24.04+vstable+git20251021.0656

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251021.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:56:14 +0000

## kmix 25.08.2+p24.04+vstable+git20251031.0913

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vstable+git20251031.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:13:48 +0000

## kmix 25.08.2+p24.04+vunstable+git20251012.0451

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vunstable+git20251012.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:51:24 +0000

## kmix 25.08.2+p24.04+vunstable+git20251020.1130

=== debian/changelog ===
kmix (4:25.08.2+p24.04+vunstable+git20251020.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:30:30 +0000

## kmix 25.08.3

=== debian/changelog ===
kmix (4:25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:32:47 +0000

kmix (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:04 +1000

## kmix 25.08.3+p24.04+vstable+git20251204.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

## kmix 25.08.3+p24.04+vunstable+git20251128.0021

=== debian/changelog ===
kmix (4:25.08.3+p24.04+vunstable+git20251128.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:21:46 +0000

## kmix 25.08.3+p24.04+vunstable+git20251204.0544

=== debian/changelog ===
kmix (4:25.08.3+p24.04+vunstable+git20251204.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:44:37 +0000

## kmix 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:53:45 +0000

kmix (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:15:58 +0000

## kmix 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:48 +0000

## kmix 25.12.0

=== debian/changelog ===
kmix (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:05:37 +0000

kmix (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:06 +1000

## kmix 25.12.0+p24.04+vstable+git20251208.1533

=== debian/changelog ===
kmix (4:25.12.0+p24.04+vstable+git20251208.1533-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:33:20 +0000

## kmix 25.12.0+p24.04+vstable+git20251215.0245

=== debian/changelog ===
kmix (4:25.12.0+p24.04+vstable+git20251215.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 02:45:24 +0000

## kmix 25.12.0+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kmix (4:25.12.0+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:13 +0000

## kmix 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.12.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:13:23 +0000

kmix (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:34 +1000

## kmix 25.12.1+p24.04+vstable+git20260106.1603

=== debian/changelog ===
kmix (4:25.12.1+p24.04+vstable+git20260106.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:03:29 +0000

## kmix 25.12.1+p24.04+vstable+git20260129.0055

=== debian/changelog ===
kmix (4:25.12.1+p24.04+vstable+git20260129.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:55:42 +0000

## kmix 25.12.1+p24.04+vstable+git20260131.0255

=== debian/changelog ===
kmix (4:25.12.1+p24.04+vstable+git20260131.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:56:01 +0000

## kmix 25.12.1+p24.04+vunstable+git20260129.0329

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.12.1+p24.04+vunstable+git20260129.0329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:29:42 +0000

## kmix 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmix (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:25:35 +0000

kmix (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:08:15 +0000

kmix (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:25:36 +0000
